Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.gpuflux.jocl
Class JOCLContext

    java.lang.Object
      de.grogra.gpuflux.jocl.JOCLContext

    public class JOCLContext

extends java.lang.Object

Field Summary
`int` | `KERNEL_VERSION`
`static boolean` | `logResourceManagement`

Constructor Summary
`JOCLContext(org.jocl.cl_context context, java.util.AbstractList<org.jocl.cl_device_id> device_ids)`

Method Summary
`void` | `cacheBinariesOnDisk(JOCLProgram program)`
`JOCLBuffer` | `createBuffer(int size, long flags)`
`JOCLBuffer` | `createBufferFromByteArray(ByteArray byteArray, long flags)`
`void` | `finalize()`
`java.lang.String` | `getCachedProgramKey(org.jocl.cl_device_id program_device, java.lang.String programKey)`
`java.lang.String` | `getCachedProgramPath(java.lang.String cacheKey)`
`org.jocl.cl_context` | `getClContext()`
`java.lang.String` | `getDeviceNames()`
`java.util.AbstractList<JOCLDevice>` | `getDevices()`
`static org.jocl.cl_device_id[]` | `getDevices(org.jocl.cl_context context)`
`java.lang.String` | `getExtensions()`
`java.lang.String` | `getIdentifier()`
`java.lang.String` | `getLog()`
`JOCLProgram` | `getProgram(java.lang.String key)`
`boolean` | `hasBigEndian()`
`boolean` | `hasDevices()`
`boolean` | `hasLittleEndian()`
`JOCLProgram` | `loadProgram(java.lang.String key, JOCLSource source, java.lang.String options)`
`JOCLProgram` | `loadProgramFromDisk(java.lang.String key, java.lang.String options)`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### KERNEL_VERSION

    public final int KERNEL_VERSION

See Also:
  Constant Field Values

### logResourceManagement

    public static final boolean logResourceManagement

See Also:
  Constant Field Values

Constructor Detail

### JOCLContext

    public JOCLContext(org.jocl.cl_context context,
                       java.util.AbstractList<org.jocl.cl_device_id> device_ids)

Method Detail

### cacheBinariesOnDisk

    public void cacheBinariesOnDisk(JOCLProgram program)

### createBuffer

    public JOCLBuffer createBuffer(int size,
                                   long flags)

### createBufferFromByteArray

    public JOCLBuffer createBufferFromByteArray(ByteArray byteArray,
                                                long flags)

### finalize

    public void finalize()
                  throws java.lang.Throwable

  Overrides:
    `finalize` in class `java.lang.Object`
  Throws:
    `java.lang.Throwable`

### getCachedProgramKey

    public java.lang.String getCachedProgramKey(org.jocl.cl_device_id program_device,
                                                java.lang.String programKey)

### getCachedProgramPath

    public java.lang.String getCachedProgramPath(java.lang.String cacheKey)

### getClContext

    public org.jocl.cl_context getClContext()

### getDeviceNames

    public java.lang.String getDeviceNames()

### getDevices

    public java.util.AbstractList<JOCLDevice> getDevices()

### getDevices

    public static org.jocl.cl_device_id[] getDevices(org.jocl.cl_context context)

### getExtensions

    public java.lang.String getExtensions()

### getIdentifier

    public java.lang.String getIdentifier()

### getLog

    public java.lang.String getLog()

### getProgram

    public JOCLProgram getProgram(java.lang.String key)

### hasBigEndian

    public boolean hasBigEndian()

### hasDevices

    public boolean hasDevices()

### hasLittleEndian

    public boolean hasLittleEndian()

### loadProgram

    public JOCLProgram loadProgram(java.lang.String key,
                                   JOCLSource source,
                                   java.lang.String options)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### loadProgramFromDisk

    public JOCLProgram loadProgramFromDisk(java.lang.String key,
                                           java.lang.String options)
                                    throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD